From: "Richard Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/gnuradio/
Date: Mon, 25 Jun 2018 20:40:21 +0000 (UTC) [thread overview]
Message-ID: <1529959208.d4ed8b4c8cb8cd3e8348d3d3aa218c740ea901ff.zerochaos@gentoo> (raw)
commit: d4ed8b4c8cb8cd3e8348d3d3aa218c740ea901ff
Author: Zero_Chaos <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 25 20:39:43 2018 +0000
Commit: Richard Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Mon Jun 25 20:40:08 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4ed8b4c
net-wireless/gnuradio: bump, qt5 patches from debian
Package-Manager: Portage-2.3.40, Repoman-2.3.9
net-wireless/gnuradio/Manifest | 2 +
net-wireless/gnuradio/gnuradio-3.7.13.3.ebuild | 243 +++++++++++++++++++++++++
2 files changed, 245 insertions(+)
diff --git a/net-wireless/gnuradio/Manifest b/net-wireless/gnuradio/Manifest
index 448c1950605..7d394200df6 100644
--- a/net-wireless/gnuradio/Manifest
+++ b/net-wireless/gnuradio/Manifest
@@ -1,2 +1,4 @@
DIST gnuradio-3.6.5.1.tar.gz 3150283 BLAKE2B f04121aab9a1b4c5424b5396c96269a53dd6302bf42e5a443b99ea642c8db8ed32df843a89ffe49869212cd2325b209407b5407dbd9b7730510c4ee42bd95836 SHA512 23a22aed482da11005b17e5197ee3ba24d442b30309522b0858e694b58f46b76cc050143d365623c7dd4241cdf8b9f988e1a4dabe2e1f98d0fd4cca71bbb82e8
DIST gnuradio-3.7.11.tar.gz 4357123 BLAKE2B ae43e9f7e20605de484c4dc31bc33b9b99e5fba269d8d394e9053f4451083b2d6048c1d1fe19a774c0cc686c13e758f0b6e719cf15d05c5867e2ac1c4eecf789 SHA512 a3b44e04e63056ad5238ddbda7967ebaf5802d2ed7e24649190bde67a533b50780ec1260dc7710c5388c966b71e153d3d21468bbfee4529c62ac5b89b589dd14
+DIST gnuradio-3.7.12-qt5.tar.xz 31048 BLAKE2B 5665ecd7f5ab34852a0e2dc975c483331e7b547377adf8a4c38ab68a6e034d6ec9f009210f74bbf9a0fc76e214bd744558b267e853843f33f799bbf0a0f2a7fc SHA512 25da9415d7b7f9984075c2a8fcf092bc0585be550c0b9a7e6910d934fd3aab4be3135d7a2c83b01ce19b2ac8e0065ffb5ad1375fa29cc259d4dc2d1d92003f99
+DIST gnuradio-3.7.13.3.tar.gz 4544605 BLAKE2B f059e8af860b7c18573f0efa909f3bf2b36b4d7208e26dd18a1c9de8cbf40e0d9079336f4a5f48430790e28dc21f5150ad2294fa1d664889c07e849d236160a0 SHA512 e4bf63899678fd792bc08baa2db673b192dc823d6e586124538cbdf12e60a882847e72cfca7f52ef906d52038a9cb48a8b5891593c9db1cb172c4077a54d4056
diff --git a/net-wireless/gnuradio/gnuradio-3.7.13.3.ebuild b/net-wireless/gnuradio/gnuradio-3.7.13.3.ebuild
new file mode 100644
index 00000000000..bf7cfd98771
--- /dev/null
+++ b/net-wireless/gnuradio/gnuradio-3.7.13.3.ebuild
@@ -0,0 +1,243 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+CMAKE_BUILD_TYPE="None"
+inherit cmake-utils eutils gnome2-utils python-single-r1 python-utils-r1 xdg-utils
+
+DESCRIPTION="Toolkit that provides signal processing blocks to implement software radios"
+HOMEPAGE="https://www.gnuradio.org/"
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+
+if [[ ${PV} =~ "9999" ]]; then
+ EGIT_REPO_URI="https://www.gnuradio.org/cgit/gnuradio.git"
+ inherit git-r3
+ KEYWORDS=""
+else
+ SRC_URI="https://www.gnuradio.org/releases/gnuradio/${P}.tar.gz
+ https://dev.gentoo.org/~zerochaos/patches/${PN}-3.7.12-qt5.tar.xz"
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+if [[ ${PV} == "3.7.9999" ]]; then
+ EGIT_BRANCH="maint"
+elif [[ ${PV} == "3.8.9999" ]]; then
+ EGIT_BRANCH="next"
+fi
+
+IUSE="+audio +alsa atsc +analog +digital channels doc dtv examples fcd fec +filter grc jack log noaa oss pager performance-counters portaudio +qt5 sdl test trellis uhd vocoder +utils wavelet wxwidgets zeromq"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ audio? ( || ( alsa oss jack portaudio ) )
+ alsa? ( audio )
+ oss? ( audio )
+ jack? ( audio )
+ portaudio? ( audio )
+ analog? ( filter )
+ digital? ( filter analog )
+ dtv? ( fec )
+ pager? ( filter analog )
+ qt5? ( filter )
+ uhd? ( filter analog )
+ fcd? ( || ( alsa oss ) )
+ wavelet? ( analog )
+ wxwidgets? ( filter analog )"
+
+# bug #348206
+# comedi? ( >=sci-electronics/comedilib-0.8 )
+# boost-1.52.0 is blacklisted, bug #461578, upstream #513, boost #7669
+RDEPEND="${PYTHON_DEPS}
+ >=dev-lang/orc-0.4.12
+ dev-libs/boost:0=[${PYTHON_USEDEP}]
+ !<=dev-libs/boost-1.52.0-r6:0/1.52
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ sci-libs/fftw:3.0=
+ alsa? (
+ media-libs/alsa-lib:=
+ )
+ fcd? ( virtual/libusb:1 )
+ filter? ( sci-libs/scipy )
+ grc? (
+ dev-python/pygobject:*[cairo(+),${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ )
+ jack? (
+ media-sound/jack-audio-connection-kit
+ )
+ log? ( dev-libs/log4cpp )
+ portaudio? (
+ >=media-libs/portaudio-19_pre
+ )
+ qt5? (
+ dev-python/PyQt5[opengl,${PYTHON_USEDEP}]
+ dev-qt/qtcore:5=
+ dev-qt/qtgui:5=
+ x11-libs/qwt:6=[qt5(+)]
+ dev-qt/qtwidgets:5=
+ )
+ sdl? ( >=media-libs/libsdl-1.2.0 )
+ uhd? ( >=net-wireless/uhd-3.9.6:=[${PYTHON_USEDEP}] )
+ utils? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
+ vocoder? ( media-sound/gsm )
+ wavelet? (
+ >=sci-libs/gsl-1.10
+ )
+ zeromq? ( >=net-libs/zeromq-2.1.11 )
+ "
+
+DEPEND="${RDEPEND}
+ app-text/docbook-xml-dtd:4.2
+ >=dev-lang/swig-3.0.5
+ virtual/pkgconfig
+ doc? (
+ >=app-doc/doxygen-1.5.7.1
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ grc? ( x11-misc/xdg-utils )
+ oss? ( virtual/os-headers )
+ test? ( >=dev-util/cppunit-1.9.14 )
+ zeromq? ( net-libs/cppzmq )
+"
+
+src_prepare() {
+ gnome2_environment_reset #534582
+
+ if [[ ${PV} == "3.8.9999" ]]; then
+ true
+ else
+ epatch "${FILESDIR}"/gnuradio-wxpy3.0-compat.patch
+ fi
+ # Useless UI element would require qt3support, bug #365019
+ sed -i '/qPixmapFromMimeSource/d' "${S}"/gr-qtgui/lib/spectrumdisplayform.ui || die
+ epatch "${WORKDIR}"/qt5-maint-00*.patch
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ python_export PYTHON_SITEDIR
+ mycmakeargs=(
+ -DENABLE_DEFAULT=OFF
+ -DENABLE_GNURADIO_RUNTIME=ON
+ -DENABLE_VOLK=ON
+ -DENABLE_PYTHON=ON
+ -DENABLE_GR_BLOCKS=ON
+ -DENABLE_GR_FFT=ON
+ -DENABLE_GR_AUDIO=ON
+ -DENABLE_GR_AUDIO_ALSA="$(usex alsa)"
+ -DENABLE_GR_ANALOG="$(usex analog)"
+ -DENABLE_GR_ATSC="$(usex atsc)"
+ -DENABLE_GR_CHANNELS="$(usex channels)"
+ -DENABLE_GR_DIGITAL="$(usex digital)"
+ -DENABLE_DOXYGEN="$(usex doc)"
+ -DENABLE_SPHINX="$(usex doc)"
+ -DENABLE_GR_DTV="$(usex dtv)"
+ -DENABLE_GR_FCD="$(usex fcd)"
+ -DENABLE_GR_FEC="$(usex fec)"
+ -DENABLE_GR_FILTER="$(usex filter)"
+ -DENABLE_GRC="$(usex grc)"
+ -DENABLE_GR_AUDIO_JACK="$(usex jack)"
+ -DENABLE_GR_LOG="$(usex log)"
+ -DENABLE_GR_NOAA="$(usex noaa)"
+ -DENABLE_GR_AUDIO_OSS="$(usex oss)"
+ -DENABLE_GR_PAGER="$(usex pager)"
+ -DENABLE_ENABLE_PERFORMANCE_COUNTERS="$(usex performance-counters)"
+ -DENABLE_GR_AUDIO_PORTAUDIO="$(usex portaudio)"
+ -DENABLE_TESTING="$(usex test)"
+ -DENABLE_GR_TRELLIS="$(usex trellis)"
+ -DENABLE_GR_UHD="$(usex uhd)"
+ -DENABLE_GR_UTILS="$(usex utils)"
+ -DENABLE_GR_VOCODER="$(usex vocoder)"
+ -DENABLE_GR_WAVELET="$(usex wavelet)"
+ -DENABLE_GR_QTGUI="$(usex qt5)"
+ -DDESIRED_QT_VERSION="$(usex qt5 5)"
+ -DENABLE_GR_VIDEO_SDL="$(usex sdl)"
+ -DENABLE_GR_ZEROMQ="$(usex zeromq)"
+ -DENABLE_GR_CORE=ON
+ -DSYSCONFDIR="${EPREFIX}"/etc
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DGR_PYTHON_DIR="${PYTHON_SITEDIR}"
+ -DGR_PKG_DOC_DIR="${EPREFIX}/usr/share/doc/${PF}"
+ )
+ use vocoder && mycmakeargs+=( -DGR_USE_SYSTEM_LIBGSM=TRUE )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ if use examples ; then
+ dodir /usr/share/doc/${PF}/
+ mv "${ED}"/usr/share/${PN}/examples "${ED}"/usr/share/doc/${PF}/ || die
+ docompress -x /usr/share/doc/${PF}/examples
+ else
+ # It seems that the examples are always installed
+ rm -rf "${ED}"/usr/share/${PN}/examples || die
+ fi
+
+ if use doc || use examples; then
+ #this doesn't appear useful
+ rm -rf "${ED}"/usr/share/doc/${PF}/xml || die
+ fi
+
+ # We install the mimetypes to the correct locations from the ebuild
+ rm -rf "${ED}"/usr/share/${PN}/grc/freedesktop || die
+ rm -f "${ED}"/usr/libexec/${PN}/grc_setup_freedesktop || die
+
+ # Install icons, menu items and mime-types for GRC
+ if use grc ; then
+ local fd_path="${S}/grc/scripts/freedesktop"
+ insinto /usr/share/mime/packages
+ doins "${fd_path}/${PN}-grc.xml"
+
+ domenu "${fd_path}/"*.desktop
+ doicon "${fd_path}/"*.png
+ fi
+
+ python_fix_shebang "${ED}"
+}
+
+src_test()
+{
+ ctest -E qtgui
+}
+
+pkg_postinst()
+{
+ local GRC_ICON_SIZES="32 48 64 128 256"
+
+ if use grc ; then
+ xdg_desktop_database_update
+ xdg_mime_database_update
+ for size in ${GRC_ICON_SIZES} ; do
+ xdg-icon-resource install --noupdate --context mimetypes --size ${size} \
+ "${EROOT}/usr/share/pixmaps/grc-icon-${size}.png" application-gnuradio-grc \
+ || die "icon resource installation failed"
+ xdg-icon-resource install --noupdate --context apps --size ${size} \
+ "${EROOT}/usr/share/pixmaps/grc-icon-${size}.png" gnuradio-grc \
+ || die "icon resource installation failed"
+ done
+ xdg-icon-resource forceupdate
+ fi
+}
+
+pkg_postrm()
+{
+ local GRC_ICON_SIZES="32 48 64 128 256"
+
+ if use grc ; then
+ xdg_desktop_database_update
+ xdg_mime_database_update
+ for size in ${GRC_ICON_SIZES} ; do
+ xdg-icon-resource uninstall --noupdate --context mimetypes --size ${size} \
+ application-gnuradio-grc || ewarn "icon uninstall failed"
+ xdg-icon-resource uninstall --noupdate --context apps --size ${size} \
+ gnuradio-grc || ewarn "icon uninstall failed"
+
+ done
+ xdg-icon-resource forceupdate
+ fi
+}
next reply other threads:[~2018-06-25 20:40 UTC|newest]
Thread overview: 114+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-25 20:40 Richard Farina [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-07 5:15 [gentoo-commits] repo/gentoo:master commit in: net-wireless/gnuradio/ Sam James
2024-06-02 1:44 Sam James
2024-05-30 18:48 Thomas Beierlein
2024-05-30 6:23 Thomas Beierlein
2024-05-29 12:49 Thomas Beierlein
2024-05-18 8:18 Arthur Zamarin
2024-03-01 0:48 Sam James
2024-01-18 3:11 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-18 1:45 Rick Farina
2024-01-02 3:04 Rick Farina
2023-08-16 20:17 Michael Orlitzky
2023-07-28 18:23 Rick Farina
2023-07-28 18:23 Rick Farina
2023-07-28 18:23 Rick Farina
2023-07-02 1:43 Conrad Kostecki
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-05-15 12:14 Thomas Beierlein
2023-04-06 2:18 Rick Farina
2023-04-04 23:30 Sam James
2023-02-24 15:04 Rick Farina
2023-02-24 15:04 Rick Farina
2022-12-21 23:19 Sam James
2022-12-19 19:32 Rick Farina
2022-12-19 18:56 Rick Farina
2022-12-19 18:56 Rick Farina
2022-11-23 6:32 Thomas Beierlein
2022-11-04 13:45 Thomas Beierlein
2022-10-29 19:43 Sam James
2022-10-22 8:10 Thomas Beierlein
2022-10-20 19:27 Thomas Beierlein
2022-09-09 22:38 Jakov Smolić
2022-09-06 17:06 Thomas Beierlein
2022-09-06 16:59 Thomas Beierlein
2022-09-04 12:23 David Seifert
2022-09-01 15:50 Rick Farina
2022-08-31 5:27 Thomas Beierlein
2022-08-15 14:24 Thomas Beierlein
2022-07-15 15:21 Thomas Beierlein
2022-07-09 10:06 Thomas Beierlein
2022-06-25 9:28 Thomas Beierlein
2022-06-10 5:47 Thomas Beierlein
2022-04-30 15:53 Marek Szuba
2022-02-08 3:14 Rick Farina
2021-10-01 15:31 Rick Farina
2021-06-12 2:35 Rick Farina
2021-06-02 22:36 Sam James
2021-04-05 20:05 Rick Farina
2021-02-15 2:19 Rick Farina
2021-01-04 16:59 Sam James
2020-12-18 19:41 Rick Farina
2020-12-18 19:41 Rick Farina
2020-12-18 19:41 Rick Farina
2020-12-17 16:50 Rick Farina
2020-12-17 16:46 Rick Farina
2020-10-11 14:46 Mikle Kolyada
2020-08-24 19:01 Rick Farina
2020-08-01 17:53 Miroslav Šulc
2020-06-03 14:20 Rick Farina
2020-06-01 20:45 Rick Farina
2020-06-01 20:45 Rick Farina
2020-02-09 16:34 Michał Górny
2020-01-28 21:30 Michał Górny
2020-01-28 20:40 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16 6:39 Michał Górny
2019-12-29 9:56 David Seifert
2019-04-22 17:40 Rick Farina
2018-10-24 16:16 Richard Farina
2018-10-24 14:30 Richard Farina
2018-10-23 2:36 Richard Farina
2018-08-26 18:22 Michał Górny
2018-08-26 13:24 Michael Weber
2018-07-17 15:55 Richard Farina
2018-07-11 20:46 Richard Farina
2018-06-26 14:11 Richard Farina
2018-06-11 1:21 Richard Farina
2018-06-11 1:21 Richard Farina
2018-06-08 14:35 Richard Farina
2018-06-08 14:35 Richard Farina
2018-06-05 17:27 Richard Farina
2018-05-26 22:36 David Seifert
2018-05-10 14:42 Richard Farina
2018-04-26 15:52 Richard Farina
2018-03-02 3:30 Richard Farina
2018-02-22 4:21 Richard Farina
2018-02-18 17:23 Richard Farina
2018-02-18 3:48 Richard Farina
2017-12-18 18:19 Richard Farina
2017-07-05 15:27 Pacho Ramos
2017-05-24 1:27 Richard Farina
2017-05-23 22:03 Michael Weber
2017-04-17 20:47 Richard Farina
2017-04-10 7:54 Michael Weber
2017-04-07 22:09 Michael Weber
2017-01-23 19:13 Richard Farina
2017-01-23 16:01 Richard Farina
2016-10-26 21:30 Patrice Clement
2016-09-16 16:21 Richard Farina
2016-07-21 14:58 Richard Farina
2016-07-21 14:58 Richard Farina
2016-07-21 4:45 Richard Farina
2016-04-18 15:01 Richard Farina
2016-01-05 3:01 Richard Farina
2015-12-19 14:08 Chí-Thanh Christopher Nguyễn
2015-08-18 20:23 Richard Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1529959208.d4ed8b4c8cb8cd3e8348d3d3aa218c740ea901ff.zerochaos@gentoo \
--to=zerochaos@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox